FastHttpDateFormat (Apache Tomcat 8.5.83 API Documentation)

Package org.apache.tomcat.util.http

## Class FastHttpDateFormat

- java.lang.Object
- - org.apache.tomcat.util.http.FastHttpDateFormat

-     public final class FastHttpDateFormat
      extends java.lang.Object

  Utility class to generate HTTP dates.
  Author:
    Remy Maucherat

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `RFC1123_DATE` | Deprecated. Unused.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FastHttpDateFormat()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.lang.String` | `formatDate​(long value)` | Get the HTTP format of the specified date.
    `static java.lang.String` | `formatDate​(long value, java.text.DateFormat threadLocalformat)` | Deprecated. Unused.
    `static java.lang.String` | `getCurrentDate()` | Get the current date in HTTP format.
    `static long` | `parseDate​(java.lang.String value)` | Try to parse the given date as an HTTP date.
    `static long` | `parseDate​(java.lang.String value, java.text.DateFormat[] threadLocalformats)` | Deprecated. Unused.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### RFC1123_DATE

          @Deprecated
          public static final java.lang.String RFC1123_DATE

      Deprecated.
      Unused. This will be removed in Tomcat 10.
      The only date format permitted when generating HTTP headers.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FastHttpDateFormat

          public FastHttpDateFormat()

  - ### Method Detail

    - #### getCurrentDate

          public static final java.lang.String getCurrentDate()

      Get the current date in HTTP format.
      Returns:
        the HTTP date

    - #### formatDate

          @Deprecated
          public static final java.lang.String formatDate​(long value,
                                                          java.text.DateFormat threadLocalformat)

      Deprecated.
      Unused. This will be removed in Tomcat 10
      Get the HTTP format of the specified date.
      Parameters:
        `value` - The date
        `threadLocalformat` - Ignored. The local ConcurrentDateFormat will always be used.
      Returns:
        the HTTP date

    - #### formatDate

          public static final java.lang.String formatDate​(long value)

      Get the HTTP format of the specified date.
      Parameters:
        `value` - The date
      Returns:
        the HTTP date

    - #### parseDate

          @Deprecated
          public static final long parseDate​(java.lang.String value,
                                             java.text.DateFormat[] threadLocalformats)

      Deprecated.
      Unused. This will be removed in Tomcat 10 Use `parseDate(String)`
      Try to parse the given date as an HTTP date.
      Parameters:
        `value` - The HTTP date
        `threadLocalformats` - Ignored. The local array of ConcurrentDateFormat will always be used.
      Returns:
        the date as a long

    - #### parseDate

          public static final long parseDate​(java.lang.String value)

      Try to parse the given date as an HTTP date.
      Parameters:
        `value` - The HTTP date
      Returns:
        the date as a long or `-1` if the value cannot be parsed